policy_list Struct Reference

`#include <policy.h>`

## Data Fields

db_object_t * | dbo
db_result_list_t * | result_list
const db_result_t * | result
policy_t * | policy
int | object_store
policy_t ** | object_list
size_t | object_list_size
size_t | object_list_position
int | object_list_first
int | associated_fetch

## Detailed Description

A list of policy objects.

Definition at line 733 of file policy.h.

## Field Documentation

## associated_fetch

int policy_list::associated_fetch

Definition at line 743 of file policy.h.

Referenced by policy_list_copy(), policy_list_get(), and policy_list_get_by_clauses().

## dbo

db_object_t* policy_list::dbo

Definition at line 734 of file policy.h.

Referenced by policy_list_begin(), policy_list_free(), policy_list_get(), policy_list_get_by_clauses(), policy_list_get_next(), policy_list_new(), policy_list_new_copy(), and policy_list_next().

## object_list

policy_t** policy_list::object_list

Definition at line 739 of file policy.h.

Referenced by policy_list_begin(), policy_list_copy(), policy_list_free(), policy_list_get(), policy_list_get_by_clauses(), and policy_list_next().

## object_list_first

int policy_list::object_list_first

Definition at line 742 of file policy.h.

Referenced by policy_list_copy(), policy_list_get(), policy_list_get_by_clauses(), and policy_list_next().

## object_list_position

size_t policy_list::object_list_position

Definition at line 741 of file policy.h.

Referenced by policy_list_begin(), policy_list_copy(), and policy_list_next().

## object_list_size

size_t policy_list::object_list_size

Definition at line 740 of file policy.h.

Referenced by policy_list_begin(), policy_list_copy(), policy_list_free(), policy_list_get(), policy_list_get_by_clauses(), and policy_list_next().

## object_store

int policy_list::object_store

Definition at line 738 of file policy.h.

Referenced by policy_list_begin(), policy_list_copy(), policy_list_get_next(), policy_list_next(), and policy_list_object_store().

## policy

policy_t* policy_list::policy

Definition at line 737 of file policy.h.

Referenced by policy_list_begin(), policy_list_free(), and policy_list_next().

## result

const db_result_t* policy_list::result

Definition at line 736 of file policy.h.

## result_list

db_result_list_t* policy_list::result_list

Definition at line 735 of file policy.h.

Referenced by policy_list_begin(), policy_list_copy(), policy_list_free(), policy_list_get(), policy_list_get_by_clauses(), policy_list_get_next(), and policy_list_next().

The documentation for this struct was generated from the following file:

- src/db/policy.h